<template>
    <div class="device-status">
        <div class="header">
            <div class="header-title">设备状态控制</div>
        </div>
        <div class="switch-item-container">
            <div class="switch">
                <div>防冻</div>
                <j-switch v-model:checked="mainPurification" size="small" />
                <span v-if="mainPurification" class="switch-open">已开启</span>
                <span v-else class="switch-close">关</span>
            </div>
            <div class="switch">
                <div>净化</div>
                <j-switch v-model:checked="mainPurification" size="small" />
                <span v-if="mainPurification" class="switch-open">已开启</span>
                <span v-else class="switch-close">关</span>
            </div>
            <div class="switch">
                <div>开关机</div>
                <j-switch v-model:checked="mainPurification" size="small" />
                <span v-if="mainPurification" class="switch-open">已开启</span>
                <span v-else class="switch-close">关</span>
            </div>
            <div class="switch">
                <div>设防状态</div>
                <j-switch v-model:checked="mainPurification" size="small" />
                <span v-if="mainPurification" class="switch-open">已开启</span>
                <span v-else class="switch-close">关</span>
            </div>

            <div class="switch1">
                <div>
                    <span>开关机</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>回风</span></div>
            </div>
            <div class="switch1">
                <div>
                    <span>除湿/加湿</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>加湿</span></div>
            </div>
            <div class="switch1">
                <div>
                    <span>风速</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>中</span></div>
            </div>
            <div class="switch">
                <div>电器水阀</div>
                <j-switch v-model:checked="mainPurification" size="small" />
                <span v-if="mainPurification" class="switch-open">已开启</span>
                <span v-else class="switch-close">关</span>
            </div>
            <div class="switch1">
                <div>
                    <span>工作模式</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>自动</span></div>
            </div>
            <div class="switch1">
                <div>
                    <span>风机</span>
                    <img
                        :src="getImage('/device-overview/switch.png')"
                        alt=""
                    />
                </div>
                <div>当前模式：<span>开启</span></div>
            </div>
        </div>
    </div>
</template>
<script lang="ts" name="DeviceStatus" setup>
import { getImage } from '@/utils/comm';

const mainPurification = ref<boolean>(false);
const windSpeed = ref<boolean>(false);
const value = ref<string>('');

onMounted(() => {});

// const props = defineProps({});
</script>
<style scoped lang="less">
.device-status {
    width: 100%;
    height: 100%;
    background: #ffffff;
    box-shadow: 0px 2px 6px 0px #cccccc;
    border-radius: 4px 4px 4px 4px;
    .header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 16px;
        border-bottom: 1px solid #fafafa;
        .header-title {
            border-left: 3px solid #3468ff;
            padding-left: 8px;
            font-size: 16px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #333333;
            line-height: 23px;
        }
    }
    .switch-item-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding: 0 16px;
        .switch {
            width: calc(50% - 8px);
            padding: 10px 14px;
            margin-bottom: 24px;
            height: 63px;
            background: #ffffff;
            box-shadow: 0px 0px 4px 0px rgba(136, 136, 136, 0.25);
            border-radius: 4px 4px 4px 4px;
        }
        .switch1 {
            width: calc(50% - 8px);
            height: 63px;
            margin-bottom: 24px;
            background: #ffffff;
            box-shadow: 0px 0px 4px 0px rgba(136, 136, 136, 0.25);
            border-radius: 4px 4px 4px 4px;
            padding: 10px 15px;
            > div:nth-child(1) {
                display: flex;
                align-items: center;
                justify-content: space-between;
                font-size: 16px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #333333;
                line-height: 20px;
                img {
                    width: 48px;
                    height: 16px;
                }
            }
            > div:nth-child(2) {
                font-size: 12px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #bdbdbd;
                line-height: 20px;
                margin-top: 8px;
                span {
                    color: #333333;
                }
            }
        }
    }
    .switch-open {
        font-size: 14px;
        font-family: PingFang SC-Medium, PingFang SC;
        font-weight: 500;
        color: #4277ff;
        line-height: 20px;
        margin-left: 4px;
    }
    .switch-close {
        font-size: 14px;
        font-family: PingFang SC-Medium, PingFang SC;
        font-weight: 500;
        color: #828282;
        line-height: 20px;
        margin-left: 4px;
    }
}
</style>
